tigase.jaxmpp.core.client.criteria

## Interface Criteria

- All Known Implementing Classes:
    ElementCriteria, Or

      public interface Criteria

  Base interface to check if given stanza may be processed by specific module. This class is used by XmppModule and XmppModulesManager to check what modules can handle received stanza.
  Author:
    bmalkow

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Criteria` | `add(Criteria criteria)` Adds restriction for deeper level of elements.
    `boolean` | `match(Element element)` This method checks if element match to conditions.

- - ### Method Detail

    - #### add

          Criteria add(Criteria criteria)

      Adds restriction for deeper level of elements.

      For example:
      If you have structure of elements: `<A><B></B></A>`
      then, to check elements `A` and `B` you should use construction like this: `critToCheckA.add(critToCheckB);`

      Parameters:
        `criteria` - restriction to add
      Returns:

    - #### match

          boolean match(Element element)
                 throws XMLException

      This method checks if element match to conditions.
      Parameters:
        `element` - element to check
      Returns:
        `true` if element match.
      Throws:
        `XMLException`

Copyright © 2006–2020 Tigase. All rights reserved.